Subject: bug#53712: Guix System hangs after boot with linux-libre 5.15.17

From: Squirrel <[email-masked]>
Date: Fri, 11 Feb 2022 04:03:03 +0800

It seems that this is a bug from upstream linux, which may be patched 
soon. Please see 
https://lore.kernel.org/stable/[email-masked]/

Blacklisting the iwlwifi kernel module works as a workaround for now, as 
is suggested by Jason Self, the maintainer of the Freesh and libeRTy apt 
repositories of linux-libre kernel. He mentioned it in Trisquel forum at 
https://trisquel.info/en/forum/trisquel-9-linux-libre-51517-will-not-allow-login 
and at https://lore.kernel.org/all/20220203161959.3edf1d6e@valencia/

I'd removed the Intel AX201NGW Wi-Fi & Bluetooth card from my Acer Swift 
3x laptop two days ago. There isn't any wireless network card installed 
now. The system runs without errors, which may be because the iwlwifi 
kernel module is not loaded due to the lack of a Wi-Fi network card. 
Before that, the system hanged randomly with the most recent versions of 
the kernel series 5.4, 5.10 and 5.15.